USE sql_chantier_participatif;

DELETE FROM `project_venue_activity`;
DELETE FROM `attendance`;
DELETE FROM `application`;
DELETE FROM `project`;
DELETE FROM `skill`;
DELETE FROM `venue_venue_activity`;
DELETE FROM `user`;
DELETE FROM `venue`;
DELETE FROM `venue_activity`;

ALTER TABLE `project_venue_activity` AUTO_INCREMENT = 1;
ALTER TABLE `attendance` AUTO_INCREMENT = 1;
ALTER TABLE `application` AUTO_INCREMENT = 1;
ALTER TABLE `project` AUTO_INCREMENT = 1;
ALTER TABLE `skill` AUTO_INCREMENT = 1;
ALTER TABLE `venue_venue_activity` AUTO_INCREMENT = 1;
ALTER TABLE `user` AUTO_INCREMENT = 1;
ALTER TABLE `venue` AUTO_INCREMENT = 1;
ALTER TABLE `venue_activity` AUTO_INCREMENT = 1;

-- --------------------
-- Populating venue. --
-- --------------------
\! echo "Populating table venue.";

INSERT INTO venue (`address`, `capacity`, `type`) VALUES
    ('29, rue Banaudon 69009 LYON', '28', 'Une maison chouette'),
    ('29, Avenue De Marlioz 74100 ANNEMASSE', '6', 'Une ferme coquette de type ferme'),
    ('95, route de Lyon 37300 JOUÉ-LÈS-TOURS', '3', 'Un champ'),
    ('47, route de Lyon 13800 ISTRES', '12', null),
    ('14, rue Victor Hugo 60200 COMPIÈGNE', '70', 'yes'),
    ('78, rue Léon Dierx 91160 LONGJUMEAU', '30', 'Type de type truc'),
    ('71, rue de l Aigle 59110 LA MADELEINE', '20', 'Moulin de pays que m a cédé mon grand-père en seize cent quatreving huit'),
    ('34, Rue Hubert de Lisle 56100 LORIENT', '17', 'Type de venue'),
    ('69, rue Charles Corbeau 76400 FÉCAMP', '42', 'Alors on danse - Stromae (radio edit)'),
    ('27, quai Saint-Nicolas 37100 TOURS', '19', null);

-- -------------------
-- Populating user. --
-- -------------------

\! echo "Populating table user.";

INSERT INTO user (`username`, `password`, `venue_id`) VALUES 
    ('Michel dufour', '2d8050f15ac2ee5d2ba81562d84146e2', 7),
    ('AngelXxx', 'e9ea6a2cc7c72a8dadeffbad9c756194', null),
    ('Una_Matina69', '849f6345f2616ab5893240c08e47f575', 3),
    ('Francis', '5d8403e22d670c49a9eb4546e7e78354', null),
    ('Jean', 'a938bc473737a017dec39e350227851a', null),
    ('Not really Jean', '40ae60c71e1b0aa976e991dfa94324b1', 2),
    ('Valideur de compétences', '65c11aa854830fc334b12c406fe571cd', null),
    ('100% ou rien', '827ed5264e1d200329ad1f85d1dd8f89', null),
    ('sweet_kristy', 'ce92c299bb5d344bdac1f9c03396b34f', 6),
    ('bubbly_snowflake', 'a0d5a59bba45bd3fc6f0da43f3bf4c84', null),
    ('angelic.princess.kristy', 'b2f5ff47436671b6e533d8dc3614845d', null),
    ('fairy.princess.kristy', '4b43b0aee35624cd95b910189b3dc231', 1),
    ('baby_kristy_butterfly', 'cf99f4b199f633886baa40500f75fde9', 9),
    ('JEAN PLZ VALIDE', '2510c39011c5be704182423e3a695e91', null),
    ('JEAN 100% LETS GO', '376a2e3cd9895eaaea0fa75870ec645a', null),
    ('Jdemel', '7606517b6f62538f9ad5d84832bf0930', null),
    ('Facebookaphobia', '24b2f14adb12d85e0969e1697e0ee65e', 4),
    ('Cheesecakeophobia', '7faf405f28982eab1197719abfff6ed8', null),
    ('StealthedDefender', 'c532727926f7de4b8240bfa7ee1f949b', null),
    ('FatalDestiny', 'ede3701c7bbbdfee35613716b9a64ea1', null),
    ('Masked Titan', '5d885330a1959c92ca30a8f8391e7c1c', 8),
    ('Toxic Headshot', '9d4d6fba88e43f2cbbe4d55514dca64b', 5),
    ('deluxe_vegan', '1eaa720f1c39cf8ec48154c1ecc2b034', null);

-- -----------------------------
-- Populating venue_activity. --
-- -----------------------------

\! echo "Populating table venue_activity.";

INSERT INTO `venue_activity` (`label`) VALUES 
    ('Maraîchage'),
    ('Menuiserie'),
    ('Pêche'),
    ('Apiculture'),
    ('Vendanges'),
    ('Soin aux animaux'),
    ('Travaux généraux'),
    ('Travaux champs généraux'),
    ('Récoltes'),
    ('Corriger et mettre 100% à Samuel');

-- -----------------------------------
-- Populating venue_venue_activity. --
-- -----------------------------------

\! echo "Populating table venue_venue_activity.";

INSERT INTO `sql_chantier_participatif`.`venue_venue_activity` (`venue_id`, `venue_activity_id`) VALUES 
    ('10','8'), ('4','4'), ('8','4'),
    ('6','4'), ('9','2'), ('2','2'),
    ('2','8'), ('1','10'), ('4','8'),
    ('3','5'), ('7','4'), ('10','6'),
    ('1','8'), ('3','2'), ('7','6'),
    ('5','2'), ('1','6'), ('6','5'),
    ('1','10'), ('9','5'), ('5','10'),
    ('4','2'), ('10','5'), ('9','10'),
    ('3','6'), ('1','1'), ('4','7'),
    ('7','4'), ('5','6'), ('1','3'),
    ('2','5');


-- --------------------
-- Populating skill. --
-- --------------------

\! echo "Populating table skill.";

INSERT INTO `skill` (`level`, `user_id`, `venue_activity_id`) VALUES 
    ('8997','1','10'),
    ('7126','2','10'),
    ('2927','3','5'),
    ('2085','4','7'),
    ('5823','5','1'),
    ('4657','6','6'),
    ('6818','7','3'),
    ('7315','8','2'),
    ('6297','9','9'),
    ('8708','10','9'),
    ('2219','11','2'),
    ('8893','12','4'),
    ('2418','13','2'),
    ('721','14','1'),
    ('3195','15','9'),
    ('395','16','7'),
    ('1907','17','7'),
    ('1636','18','7'),
    ('391','19','3'),
    ('8530','20','9'),
    ('4595','21','1'),
    ('9818','22','7'),
    ('1251','23','2	');

-- --------------------
-- Populating project. --
-- --------------------

\! echo "Populating table project.";

INSERT INTO `project` (`start_date`, `end_date`, `capacity`, `venue_id`) VALUES 
    ('2009-12-28','2012-9-29','10','6'),
    ('2009-8-9','2012-3-2','4','3'),
    ('2009-11-30','2012-4-24','9','6'),
    ('2009-5-1','2012-8-31','15','2'),
    ('2009-5-2','2012-8-5','1','2'),
    ('2009-11-30','2012-4-3','41','9'),
    ('2009-5-22','2012-7-17','50','3'),
    ('2009-9-12','2012-1-27','21','7'),
    ('2009-1-26','2012-6-25','25','10'),
    ('2009-2-27','2012-2-14','48','5'),
    ('2009-1-14','2012-8-30','33','4'),
    ('2009-8-19','2012-7-6','36','8'),
    ('2009-9-25','2012-10-12','34','3'),
    ('2009-4-4','2012-7-16','40','1'),
    ('2009-6-3','2012-9-10','8','2'),
    ('2009-6-27','2012-8-15','44','1'),
    ('2009-4-25','2012-4-16','17','10'),
    ('2009-2-10','2012-1-2','12','6'),
    ('2009-7-17','2012-9-11','32','4'),
    ('2009-5-20','2012-11-28','49','5'),
    ('2009-1-14','2012-11-5','42','5'),
    ('2009-8-12','2012-12-4','15','4'),
    ('2009-3-8','2012-7-19','49','3'),
    ('2009-3-2','2012-8-2','40','1'),
    ('2009-11-28','2012-9-4','48','10'),
    ('2009-10-29','2012-8-13','32','7'),
    ('2009-10-7','2012-3-12','15','9'),
    ('2009-12-22','2012-2-14','32','9'),
    ('2009-4-20','2012-8-16','48','2');

-- --------------------------
-- Populating application. --
-- --------------------------

\! echo "Populating table application.";

INSERT INTO `application` (`start_date`, `end_date`, `is_accepted`, `project_id`, `user_id`, `venue_id`) VALUES 
    ('2010-1-6','2011-3-16',1,'9','18','8'),
    ('2010-3-8','2011-4-25',1,null,'4','3'),
    ('2010-5-4','2011-5-3',0,'3','1','7'),
    ('2010-2-5','2011-8-18',1,'5','16','1'),
    ('2010-11-21','2011-12-7',1,'8','8','1'),
    ('2010-9-30','2011-4-29',0,null,'15','5'),
    ('2010-7-30','2011-10-7',0,null,'11','10'),
    ('2010-6-14','2011-10-1',0,'7','7','8'),
    ('2010-9-9','2011-1-30',0,'5','6','5'),
    ('2010-12-5','2011-5-29',1,null,'16','10'),
    ('2010-10-21','2011-4-28',1,null,'8','2'),
    ('2010-4-28','2011-1-21',1,null,'12','1'),
    ('2010-2-9','2011-12-19',0,null,'19','4'),
    ('2010-7-6','2011-5-28',1,'1','14','8'),
    ('2010-11-7','2011-6-9',0,'8','10','7'),
    ('2010-5-3','2011-12-31',1,'8','22','1'),
    ('2010-11-9','2011-2-23',1,null,'15','6'),
    ('2010-12-10','2011-2-6',0,null,'14','8'),
    ('2010-4-20','2011-11-22',0,'8','5','3'),
    ('2010-6-14','2011-7-8',1,'4','12','2'),
    ('2010-11-11','2011-7-27',0,'7','19','7'),
    ('2010-3-11','2011-12-23',1,'8','5','2'),
    ('2010-2-28','2011-5-21',1,null,'13','6'),
    ('2010-9-24','2011-3-2',1,null,'21','1'),
    ('2010-11-27','2011-4-25',1,'3','18','6'),
    ('2010-6-6','2011-7-24',1,'9','23','4'),
    ('2010-1-5','2011-9-15',0,null,'11','6'),
    ('2010-4-17','2011-2-19',1,null,'11','8'),
    ('2010-1-3','2011-9-4',1,'3','6','3'),
    ('2010-5-13','2011-3-27',1,'5','19','1'),
    ('2010-12-27','2011-6-24',1,null,'4','9'),
    ('2010-9-13','2011-6-26',0,null,'11','5'),
    ('2010-7-18','2011-10-30',0,1,'4','3'),
    ('2010-11-4','2011-4-7',1,'3','20','9'),
    ('2010-3-23','2011-10-4',1,'1','6','1'),
    ('2010-11-1','2011-7-9',0,null,'9','5'),
    ('2010-5-20','2011-10-19',1,'3','22','3'),
    ('2010-1-15','2011-6-22',0,'10','12','5');

-- -------------------------
-- Populating attendance. --
-- -------------------------

\! echo "Populating table attendance.";

INSERT INTO `attendance` (`date`, `project_id`, `user_id`) VALUES
('2010-11-18','13','4'),
('2010-8-9','14','20'),
('2010-7-1','23','2'),
('2010-9-22','10','6'),
('2010-9-9','2','12'),
('2010-2-16','15','14'),
('2010-12-7','12','15'),
('2010-2-13','26','12'),
('2010-12-27','15','1'),
('2010-6-5','28','9'),
('2010-12-20','7','8'),
('2010-3-10','24','12'),
('2010-11-21','24','12'),
('2010-6-30','23','6'),
('2010-5-16','22','8'),
('2010-8-30','13','23'),
('2010-8-29','13','5'),
('2010-11-17','17','14'),
('2010-11-10','1','9'),
('2010-4-20','2','4'),
('2010-7-13','18','12'),
('2010-7-19','1','12'),
('2010-7-25','19','4'),
('2010-11-26','25','8'),
('2010-7-22','18','6'),
('2010-2-17','7','15'),
('2010-4-9','5','14'),
('2010-10-12','1','7'),
('2010-3-13','28','17'),
('2010-10-4','23','4'),
('2010-12-31','29','9'),
('2010-1-17','10','15'),
('2010-6-20','11','2'),
('2010-8-15','25','6'),
('2010-1-26','22','23'),
('2010-7-8','19','5'),
('2010-3-4','10','4'),
('2010-10-11','24','14'),
('2010-9-7','22','15'),
('2010-8-28','21','2'),
('2010-10-13','28','2'),
('2010-1-15','1','9'),
('2010-9-29','12','8'),
('2010-2-22','4','14'),
('2010-11-17','17','11'),
('2010-1-18','10','1'),
('2010-6-4','1','7'),
('2010-3-19','3','13'),
('2010-3-4','24','19'),
('2010-12-31','27','15'),
('2010-11-14','12','9'),
('2010-11-13','16','23'),
('2010-12-22','29','21'),
('2010-2-20','24','3'),
('2010-9-30','17','1'),
('2010-8-6','2','12'),
('2010-4-29','11','4'),
('2010-12-10','25','1'),
('2010-10-28','20','1'),
('2010-5-27','14','10'),
('2010-11-25','3','19');




-- -------------------------------------
-- Populating project_venue_activity. --
-- -------------------------------------

\! echo "Populating table project_venue_activity.";

INSERT INTO `project_venue_activity` (`project_id`, `venue_activity_id`) VALUES
('19','8'),
('2','4'),
('19','6'),
('25','8'),
('11','3'),
('6','3'),
('29','7'),
('12','3'),
('12','4'),
('5','5'),
('26','2'),
('28','5'),
('29','2'),
('2','9'),
('12','10'),
('3','2'),
('27','6'),
('13','5'),
('3','3'),
('23','7'),
('20','6'),
('19','8'),
('3','4'),
('14','9'),
('24','4'),
('15','2'),
('29','6'),
('4','10'),
('23','1'),
('17','3'),
('1','3'),
('1','6'),
('27','7');